Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200807-09 ] Mercurial: Directory traversal
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1540

PostPosted: Tue Jul 15, 2008 10:26 pm    Post subject: [ GLSA 200807-09 ] Mercurial: Directory traversal Reply with quote

Gentoo Linux Security Advisory

Title: Mercurial: Directory traversal (GLSA 200807-09)
Severity: normal
Exploitable: remote
Date: July 15, 2008
Bug(s): #230193
ID: 200807-09

Synopsis


A directory traversal vulnerability in Mercurial allows for the renaming of
arbitrary files.


Background


Mercurial is a distributed Source Control Management system.


Affected Packages

Package: dev-util/mercurial
Vulnerable: < 1.0.1-r2
Unaffected: >= 1.0.1-r2
Architectures: All supported architectures


Description


Jakub Wilk discovered a directory traversal vulnerabilty in the
applydiff() function in the mercurial/patch.py file.


Impact


A remote attacker could entice a user to import a specially crafted
patch, possibly resulting in the renaming of arbitrary files, even
outside the repository.


Workaround


There is no known workaround at this time.


Resolution


All Mercurial users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=dev-util/mercurial-1.0.1-r2"


References

CVE-2008-2942


Last edited by GLSA on Sat Nov 06, 2010 4:26 am; edited 4 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum